# OpalMixerNode::AudioMixer Struct Reference

`#include <opalmixer.h>`

Inheritance diagram for OpalMixerNode::AudioMixer:

[legend]
Collaboration diagram for OpalMixerNode::AudioMixer:
[legend]

## Public Member Functions

| AudioMixer (const OpalMixerNodeInfo &info)
| ~AudioMixer ()
virtual bool | OnPush ()
void | PushOne (PSafePtr< OpalMixerMediaStream > &stream, CachedAudio &cache, const short *audioToSubtract)

## Data Fields

std::map< PString, CachedAudio > | m_cache

## Data Structures

struct | CachedAudio

## Constructor & Destructor Documentation

OpalMixerNode::AudioMixer::AudioMixer | ( | const OpalMixerNodeInfo & | info | ) |

OpalMixerNode::AudioMixer::~AudioMixer | ( |  | ) |

## Member Function Documentation

virtual bool OpalMixerNode::AudioMixer::OnPush | ( |  | ) | `[virtual]`

Reimplemented from OpalBaseMixer.

void OpalMixerNode::AudioMixer::PushOne | ( | PSafePtr< OpalMixerMediaStream > & | stream,
|  | CachedAudio & | cache,
|  | const short * | audioToSubtract |
| ) |  |  |

## Field Documentation

std::map<PString, CachedAudio> OpalMixerNode::AudioMixer::m_cache

The documentation for this struct was generated from the following file:

- opalmixer.h